org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead1RetryManySyncMethodBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead1RetryManySyncMethodBean

    @ApplicationScoped
    public class Bulkhead1RetryManySyncMethodBean
    extends Object

Tests to ensure that BulkheadExceptions are retried

Has a bulkhead size of 1

Retries on all exceptions for 3 seconds

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead1RetryManySyncMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead1RetryManySyncMethodBean

    public Bulkhead1RetryManySyncMethodBean()

### Method Detail

#### test

    @Bulkhead(value=1)
     @Retry(maxRetries=99999,
           maxDuration=3000L,
           delay=100L,
           jitter=0L)
    public void test(Barrier barrier)